using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 问题大类型
    /// </summary>
    public enum QuestionCategoryEnum
    {
        /// <summary>
        /// 默认
        /// </summary>
        [EnumField("默认")]
        Default = 0,
        /// <读音选择题>
        /// 日语选择题 
        /// </summary>
        [EnumField("读音选择题")]
        JapaneseSoundChoose = 1,
        /// <summary>
        /// 汉字选择题 
        /// </summary>
        [EnumField("汉字选择题")]
        ChineseChoose = 2,
        /// <summary>
        /// 选择最适当的单词
        /// </summary>
        [EnumField("选择最适当的单词")]
        ChooseWord = 3,

        /// <summary>
        /// 选择意义最接近的单词
        /// </summary>
        [EnumField("选择意义最接近的单词")]
        ChooseMean = 4,

        /// <summary>
        /// 选择单词正确用法
        /// </summary>
        [EnumField("选择单词正确用法")]
        ChooseWordUse =5,

        /// <summary>
        /// 选择单词正确用法
        /// </summary>
        [EnumField("选择语法正确的一项")]
        ChooseGrammarUse = 6,

        /// <summary>
        /// 选择★应该填入的词
        /// </summary>
        [EnumField("选择★应该填入的词")]
        ChooseFillInWord = 7,

        /// <summary>
        /// 阅读选择
        /// </summary>
        [EnumField("阅读选择")]
        ReadingChoose = 8,

    }
}